
#include "MacroPatternMatch.h"

#include "HGDALOGRGeometry.h"

#include "STDDeletable.h"

#include "ogr_feature.h"

#include "HGDALOGRFeature.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

DELETABLE_DEF_VIRT(OGRFeature)
OGRFEATURE_DEF_VIRT(OGRFeature)
OGRFEATURE_DEF_NONVIRT(OGRFeature)
OGRFEATURE_DEF_ACCESSOR(OGRFeature)

