
#include "MacroPatternMatch.h"

#include "HGDALOGRPolygon.h"

#include "HGDALOGRMultiPolygon.h"

#include "HGDALOGREnvelope.h"

#include "HGDALOGRPoint.h"

#include "STDDeletable.h"

#include "ogr_geometry.h"

#include "HGDALOGRGeometry.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

DELETABLE_DEF_VIRT(OGRGeometry)
OGRGEOMETRY_DEF_VIRT(OGRGeometry)
OGRGEOMETRY_DEF_NONVIRT(OGRGeometry)
OGRGEOMETRY_DEF_ACCESSOR(OGRGeometry)

