
#include "MacroPatternMatch.h"

#include "HGDALOGRSimpleCurve.h"

#include "ogr_geometry.h"

#include "HGDALOGRLineString.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

OGRSIMPLECURVE_DEF_VIRT(OGRLineString)
OGRCURVE_DEF_VIRT(OGRLineString)
OGRGEOMETRY_DEF_VIRT(OGRLineString)
DELETABLE_DEF_VIRT(OGRLineString)
OGRLINESTRING_DEF_VIRT(OGRLineString)
OGRLINESTRING_DEF_NONVIRT(OGRLineString)
OGRLINESTRING_DEF_ACCESSOR(OGRLineString)

