
#include "MacroPatternMatch.h"

#include "HGDALOGRMultiSurface.h"

#include "ogr_geometry.h"

#include "HGDALOGRMultiPolygon.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

OGRMULTISURFACE_DEF_VIRT(OGRMultiPolygon)
OGRGEOMETRYCOLLECTION_DEF_VIRT(OGRMultiPolygon)
OGRGEOMETRY_DEF_VIRT(OGRMultiPolygon)
DELETABLE_DEF_VIRT(OGRMultiPolygon)
OGRMULTIPOLYGON_DEF_VIRT(OGRMultiPolygon)
OGRMULTIPOLYGON_DEF_NONVIRT(OGRMultiPolygon)
OGRMULTIPOLYGON_DEF_ACCESSOR(OGRMultiPolygon)

