
#include "MacroPatternMatch.h"

#include "HGDALOGRPoint.h"

#include "STDDeletable.h"

#include "ogr_geometry.h"

#include "HGDALOGRPointIterator.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

DELETABLE_DEF_VIRT(OGRPointIterator)
OGRPOINTITERATOR_DEF_VIRT(OGRPointIterator)
OGRPOINTITERATOR_DEF_NONVIRT(OGRPointIterator)
OGRPOINTITERATOR_DEF_ACCESSOR(OGRPointIterator)

