{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.GDALMajorObject.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawGDALMajorObject

newtype GDALMajorObject = GDALMajorObject (Ptr RawGDALMajorObject)
                            deriving (Eq, Ord, Show)

instance () => FPtr (GDALMajorObject) where
        type Raw GDALMajorObject = RawGDALMajorObject
        get_fptr (GDALMajorObject ptr) = ptr
        cast_fptr_to_obj = GDALMajorObject
