{-# LANGUAGE EmptyDataDecls, ExistentialQuantification,
  FlexibleContexts, FlexibleInstances, ForeignFunctionInterface,
  MultiParamTypeClasses, ScopedTypeVariables, TypeFamilies,
  TypeSynonymInstances #-}
module GDAL.OGRCurvePolygon.Interface where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import FFICXX.Runtime.Cast
import GDAL.OGRCurvePolygon.RawType
import GDAL.OGRSurface.Interface

class (IOGRSurface a) => IOGRCurvePolygon a where

upcastOGRCurvePolygon ::
                      forall a . (FPtr a, IOGRCurvePolygon a) => a -> OGRCurvePolygon
upcastOGRCurvePolygon h
  = let fh = get_fptr h
        fh2 :: Ptr RawOGRCurvePolygon = castPtr fh
      in cast_fptr_to_obj fh2

downcastOGRCurvePolygon ::
                        forall a . (FPtr a, IOGRCurvePolygon a) => OGRCurvePolygon -> a
downcastOGRCurvePolygon h
  = let fh = get_fptr h
        fh2 = castPtr fh
      in cast_fptr_to_obj fh2
