{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.OGRLineString.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawOGRLineString

newtype OGRLineString = OGRLineString (Ptr RawOGRLineString)
                          deriving (Eq, Ord, Show)

instance () => FPtr (OGRLineString) where
        type Raw OGRLineString = RawOGRLineString
        get_fptr (OGRLineString ptr) = ptr
        cast_fptr_to_obj = OGRLineString
