{-# LANGUAGE EmptyDataDecls, ExistentialQuantification,
  FlexibleContexts, FlexibleInstances, ForeignFunctionInterface,
  MultiParamTypeClasses, ScopedTypeVariables, TypeFamilies,
  TypeSynonymInstances #-}
module GDAL.OGRMultiPolygon.Interface where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import FFICXX.Runtime.Cast
import GDAL.OGRMultiPolygon.RawType
import GDAL.OGRMultiSurface.Interface

class (IOGRMultiSurface a) => IOGRMultiPolygon a where

upcastOGRMultiPolygon ::
                      forall a . (FPtr a, IOGRMultiPolygon a) => a -> OGRMultiPolygon
upcastOGRMultiPolygon h
  = let fh = get_fptr h
        fh2 :: Ptr RawOGRMultiPolygon = castPtr fh
      in cast_fptr_to_obj fh2

downcastOGRMultiPolygon ::
                        forall a . (FPtr a, IOGRMultiPolygon a) => OGRMultiPolygon -> a
downcastOGRMultiPolygon h
  = let fh = get_fptr h
        fh2 = castPtr fh
      in cast_fptr_to_obj fh2
