{-# LANGUAGE EmptyDataDecls, ExistentialQuantification,
  FlexibleContexts, FlexibleInstances, ForeignFunctionInterface,
  MultiParamTypeClasses, ScopedTypeVariables, TypeFamilies,
  TypeSynonymInstances #-}
module GDAL.OGRMultiSurface.Interface where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import FFICXX.Runtime.Cast
import GDAL.OGRMultiSurface.RawType
import GDAL.OGRGeometryCollection.Interface

class (IOGRGeometryCollection a) => IOGRMultiSurface a where

upcastOGRMultiSurface ::
                      forall a . (FPtr a, IOGRMultiSurface a) => a -> OGRMultiSurface
upcastOGRMultiSurface h
  = let fh = get_fptr h
        fh2 :: Ptr RawOGRMultiSurface = castPtr fh
      in cast_fptr_to_obj fh2

downcastOGRMultiSurface ::
                        forall a . (FPtr a, IOGRMultiSurface a) => OGRMultiSurface -> a
downcastOGRMultiSurface h
  = let fh = get_fptr h
        fh2 = castPtr fh
      in cast_fptr_to_obj fh2
