{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.OGRSimpleCurve.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawOGRSimpleCurve

newtype OGRSimpleCurve = OGRSimpleCurve (Ptr RawOGRSimpleCurve)
                           deriving (Eq, Ord, Show)

instance () => FPtr (OGRSimpleCurve) where
        type Raw OGRSimpleCurve = RawOGRSimpleCurve
        get_fptr (OGRSimpleCurve ptr) = ptr
        cast_fptr_to_obj = OGRSimpleCurve
