
#include "MacroPatternMatch.h"

#include "HGDALOGRSurface.h"

#include "ogr_geometry.h"

#include "HGDALOGRCurvePolygon.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

OGRSURFACE_DEF_VIRT(OGRCurvePolygon)
OGRGEOMETRY_DEF_VIRT(OGRCurvePolygon)
DELETABLE_DEF_VIRT(OGRCurvePolygon)
OGRCURVEPOLYGON_DEF_VIRT(OGRCurvePolygon)
OGRCURVEPOLYGON_DEF_NONVIRT(OGRCurvePolygon)
OGRCURVEPOLYGON_DEF_ACCESSOR(OGRCurvePolygon)

