
#include "MacroPatternMatch.h"

#include "HGDALOGRFeature.h"

#include "HGDALOGRFeatureDefn.h"

#include "HGDALGDALMajorObject.h"

#include "ogrsf_frmts.h"

#include "HGDALOGRLayer.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

GDALMAJOROBJECT_DEF_VIRT(OGRLayer)
DELETABLE_DEF_VIRT(OGRLayer)
OGRLAYER_DEF_VIRT(OGRLayer)
OGRLAYER_DEF_NONVIRT(OGRLayer)
OGRLAYER_DEF_ACCESSOR(OGRLayer)

