
#include "MacroPatternMatch.h"

#include "HGDALOGRGeometry.h"

#include "ogr_geometry.h"

#include "HGDALOGRPoint.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

OGRGEOMETRY_DEF_VIRT(OGRPoint)
DELETABLE_DEF_VIRT(OGRPoint)
OGRPOINT_DEF_VIRT(OGRPoint)
OGRPOINT_DEF_NONVIRT(OGRPoint)
OGRPOINT_DEF_ACCESSOR(OGRPoint)

