
#include "MacroPatternMatch.h"

#include "hgdalTopLevel.h"

#include "HGDALOGRLayer.h"

#include "HGDALGDALMajorObject.h"

#include "gdal_priv.h"

#include "HGDALGDALDataset.h"

#include "gdal.h"



#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (to_nonconst<oname,cname ## _t>), \
  (to_nonconst<cname,cname ## _t>) )

void TopLevel_GDALAllRegister (  ) {
GDALAllRegister();
}

GDALDataset_p TopLevel_GDALOpenEx ( const char* pszFilename, unsigned int nOpenFlags, char** papszAllowedDrivers, char** papszOpenOptions, char** papszSiblingFiles ) {
return from_nonconst_to_nonconst<GDALDataset_t, GDALDataset>((GDALDataset*)GDALOpenEx(pszFilename, nOpenFlags, papszAllowedDrivers, papszOpenOptions, papszSiblingFiles));
}

