{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.GDALDataset.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawGDALDataset

newtype GDALDataset = GDALDataset (Ptr RawGDALDataset)
                        deriving (Eq, Ord, Show)

instance () => FPtr (GDALDataset) where
        type Raw GDALDataset = RawGDALDataset
        get_fptr (GDALDataset ptr) = ptr
        cast_fptr_to_obj = GDALDataset
