{-# LANGUAGE ForeignFunctionInterface, InterruptibleFFI #-}
module GDAL.OGRFieldDefn.FFI where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import GDAL.OGRFieldDefn.RawType
import GDAL.OGRFieldDefn.RawType

foreign import ccall interruptible
               "HGDALOGRFieldDefn.h OGRFieldDefn_delete" c_ogrfielddefn_delete ::
               Ptr RawOGRFieldDefn -> IO ()

foreign import ccall interruptible
               "HGDALOGRFieldDefn.h OGRFieldDefn_oGRFieldDefn_GetNameRef"
               c_ogrfielddefn_ogrfielddefn_getnameref ::
               Ptr RawOGRFieldDefn -> IO CString

foreign import ccall interruptible
               "HGDALOGRFieldDefn.h OGRFieldDefn_oGRFieldDefn_GetType"
               c_ogrfielddefn_ogrfielddefn_gettype ::
               Ptr RawOGRFieldDefn -> IO CUInt
