{-# LANGUAGE EmptyDataDecls, FlexibleContexts, FlexibleInstances,
  ForeignFunctionInterface, IncoherentInstances,
  MultiParamTypeClasses, OverlappingInstances, TemplateHaskell,
  TypeFamilies, TypeSynonymInstances #-}
module GDAL.OGRFieldDefn.Implementation where
import Data.Monoid
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import Language.Haskell.TH
import Language.Haskell.TH.Syntax
import System.IO.Unsafe
import FFICXX.Runtime.Cast
import FFICXX.Runtime.CodeGen.Cxx
import FFICXX.Runtime.TH
import GDAL.OGRFieldDefn.RawType
import GDAL.OGRFieldDefn.FFI
import GDAL.OGRFieldDefn.Interface
import GDAL.OGRFieldDefn.Cast
import GDAL.OGRFieldDefn.RawType
import GDAL.OGRFieldDefn.Cast
import GDAL.OGRFieldDefn.Interface
import STD.Deletable.RawType
import STD.Deletable.Cast
import STD.Deletable.Interface

instance () => IOGRFieldDefn (OGRFieldDefn) where

instance () => IDeletable (OGRFieldDefn) where
        delete = xform0 c_ogrfielddefn_delete

oGRFieldDefn_GetNameRef :: () => OGRFieldDefn -> IO CString
oGRFieldDefn_GetNameRef
  = xform0 c_ogrfielddefn_ogrfielddefn_getnameref

oGRFieldDefn_GetType :: () => OGRFieldDefn -> IO CUInt
oGRFieldDefn_GetType = xform0 c_ogrfielddefn_ogrfielddefn_gettype
