{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.OGRGeometry.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawOGRGeometry

newtype OGRGeometry = OGRGeometry (Ptr RawOGRGeometry)
                        deriving (Eq, Ord, Show)

instance () => FPtr (OGRGeometry) where
        type Raw OGRGeometry = RawOGRGeometry
        get_fptr (OGRGeometry ptr) = ptr
        cast_fptr_to_obj = OGRGeometry
