{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.OGRGeometryCollection.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawOGRGeometryCollection

newtype OGRGeometryCollection = OGRGeometryCollection (Ptr
                                                         RawOGRGeometryCollection)
                                  deriving (Eq, Ord, Show)

instance () => FPtr (OGRGeometryCollection) where
        type Raw OGRGeometryCollection = RawOGRGeometryCollection
        get_fptr (OGRGeometryCollection ptr) = ptr
        cast_fptr_to_obj = OGRGeometryCollection
