{-# LANGUAGE FlexibleInstances, FlexibleContexts, TypeFamilies,
  MultiParamTypeClasses, OverlappingInstances, IncoherentInstances
  #-}
module GDAL.OGRMultiPolygon.Cast where
import Foreign.Ptr
import FFICXX.Runtime.Cast
import System.IO.Unsafe
import GDAL.OGRMultiPolygon.RawType
import GDAL.OGRMultiPolygon.Interface

instance (IOGRMultiPolygon a, FPtr a) =>
         Castable (a) (Ptr RawOGRMultiPolygon)
         where
        cast x f = f (castPtr (get_fptr x))
        uncast x f = f (cast_fptr_to_obj (castPtr x))

instance () => Castable (OGRMultiPolygon) (Ptr RawOGRMultiPolygon)
         where
        cast x f = f (castPtr (get_fptr x))
        uncast x f = f (cast_fptr_to_obj (castPtr x))
