{-# LANGUAGE ForeignFunctionInterface, TypeFamilies,
  MultiParamTypeClasses, FlexibleInstances, TypeSynonymInstances,
  EmptyDataDecls, ExistentialQuantification, ScopedTypeVariables #-}
module GDAL.OGRPolygon.RawType where
import Foreign.Ptr
import FFICXX.Runtime.Cast

data RawOGRPolygon

newtype OGRPolygon = OGRPolygon (Ptr RawOGRPolygon)
                       deriving (Eq, Ord, Show)

instance () => FPtr (OGRPolygon) where
        type Raw OGRPolygon = RawOGRPolygon
        get_fptr (OGRPolygon ptr) = ptr
        cast_fptr_to_obj = OGRPolygon
